using System;
using System.Runtime.Serialization;

namespace Pegasus.UnitTests.Runtime.Serialization.Formatters.Xml.XmlFormatter2Tests
{
	/// <summary>
	/// Class the implement the ISerializable interface for testing serialization.
	/// </summary>
	[Serializable]
	public class ISerializableObject : ISerializable
	{
		// Local Instance Values
		private string m_name;

		// Public Instance Values
		public string Description;

		/// <summary>
		/// Initializes a new instance of the <see cref="T:ISerializationClass"/> class.
		/// </summary>
		public ISerializableObject()
		{
		}

		/// <summary>
		/// Initializes a new instance of the <see cref="T:ISerializationClass"/> class.
		/// </summary>
		/// <param name="info">The info.</param>
		/// <param name="context">The context.</param>
		protected ISerializableObject( SerializationInfo info, StreamingContext context )
		{
			m_name = info.GetString( "Name" );
			Description = info.GetString( "Description" );
		}

		/// <summary>
		/// Gets or sets the name.
		/// </summary>
		/// <value>The name.</value>
		public string Name
		{
			get
			{
				return m_name;
			}

			set
			{
				m_name = value;
			}
		}

		/// <summary>
		/// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
		/// </summary>
		/// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
		/// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
		/// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
		public void GetObjectData( SerializationInfo info, StreamingContext context )
		{
			info.AddValue( "Name", m_name );
			info.AddValue( "Description", Description );
		}
	}
}
