using System;
using System.Collections.Generic;
using System.Text;

namespace Pegasus.UnitTests.Runtime.Serialization.Formatters.Xml.XmlFormatter2Tests
{
	/// <summary>
	/// Test class for derived serializable classes
	/// </summary>
	[Serializable]
	public class SerializationChild : SerializationRoot
	{
		// Local Instance Values
		private SerializationRoot m_otherObject = null;
		private int m_count;

		[NonSerialized]
		private int m_nonCount = 5;

		/// <summary>
		/// Initializes a new instance of the <see cref="T:SerializationChild"/> class.
		/// </summary>
		public SerializationChild()
		{
		}

		/// <summary>
		/// Gets or sets the other object.
		/// </summary>
		/// <value>The other object.</value>
		public SerializationRoot OtherObject
		{
			get
			{
				return m_otherObject;
			}

			set
			{
				m_otherObject = value;
			}
		}

		/// <summary>
		/// Gets or sets the count.
		/// </summary>
		/// <value>The count.</value>
		public int Count
		{
			get
			{
				return m_count;
			}
		
			set
			{
				m_count = value;
			}
		}

		/// <summary>
		/// Gets or sets the nonserialize count.
		/// </summary>
		/// <value>The nonserialize count.</value>
		public int NonserializeCount
		{
			get
			{
				return m_nonCount;
			}

			set
			{
				m_nonCount = value;
			}
		}
	}
}
