using System;

using Pegasus.Workflow.Service;

namespace Pegasus.UnitTests.Workflow.Service.Workflows
{
	/// <summary>
	/// Workflow that test the data exchange events
	/// </summary>
	public class TestEventWorkflow : Pegasus.Workflow.Service.Workflow 
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="T:TestEventWorkflow"/> class.
		/// </summary>
		public TestEventWorkflow() :
			base( "TestEventWorkflow" )
		{
		}

		/// <summary>
		/// Registers the states.
		/// </summary>
		public override void RegisterStates()
		{
			RegisterState( new StateCatchFirstEvent() );
			RegisterState( new StateCatchSecondEvent() );

			SetInitialState( "StateCatchFirstEvent" );
		}
	}
}
