using System;

namespace Pegasus.Data.SqlClient
{
	/// <summary>
	/// 
	/// </summary>
	[ AttributeUsage( AttributeTargets.Field | AttributeTargets.Property ) ]
	public class SqlObjectMapAttribute : Attribute
	{
		// Local Instance Values
		private string m_columnName;

		/// <summary>
		/// Initializes a new instance of the <see cref="T:SqlObjectMapAttribute"/> class.
		/// </summary>
		/// <param name="columnName">Name of the column.</param>
		public SqlObjectMapAttribute( string columnName )
		{
			m_columnName = columnName;
		}

		/// <summary>
		/// Gets the name of the column.
		/// </summary>
		/// <value>The name of the column.</value>
		public string ColumnName
		{
			get
			{
				return m_columnName;
			}
		}
	}
}
