using System;

namespace Pegasus.Runtime.Remoting
{
	/// <summary>
	/// This represents the differnt type of channels that can be used to distribute the
	/// date and methods calls for the remote helper objects.
	/// </summary>
	public enum RemoteChannelType : int
	{
		/// <summary>
		/// Use IP/TCP sockets to pass the data.
		/// </summary>
		Tcp = 0,

		/// <summary>
		/// Use HTTP to pass the data.
		/// </summary>
		Http = 1,

        /// <summary>
        /// Use IPC to pass data
        /// </summary>
        Ipc = 2,
	}
}
