using System;

namespace Pegasus.Runtime.Remoting
{
	/// <summary>
	/// This represents the differnt type of formatters that can be used to transmite the
	/// date and methods calls for the remote helper objects.
	/// </summary>
	public enum RemoteFormatterType : int
	{
		/// <summary>
		/// Use the .NET binary formatter
		/// </summary>
		Binary = 0,

		/// <summary>
		/// Use the Simple Object Access Protocol (SOAP) formatter.
		/// </summary>
		Soap = 1,

        /// <summary>
        /// Use the Pegasus XmlFormatter2 formatter.
        /// </summary>
        PegasusXml = 2,
	}
}
