using System;
using System.Collections.Generic;
using System.Text;

namespace Pegasus.Windows.API.Enumerations
{
	/// <summary>
	/// A value that specifies the image type.
	/// </summary>
	public enum SHIL : uint
	{
		/// <summary>32x32</summary>
		LARGE = 0,

		/// <summary>16x16</summary>
		SMALL = 1,

		/// <summary>48x48</summary>
		EXTRALARGE = 2,

		/// <summary>These images are the size specified by GetSystemMetrics() using SM_CXSMICON and SM_CYSMICON.</summary>
		SYSSMALL = 3,

		/// <summary>256x256</summary>
		JUMBO = 4,
	}
}
