using System;
using System.Collections.Generic;

using Pegasus.Diagnostics;

namespace Pegasus.Workflow.Service.DefaultServices
{
	/// <summary>
	/// Provides a default tracking service that doesn't do any thing.
	/// Droppes the message in the bit bucket.
	/// </summary>
	public class NullTrackingService : WorkflowTrackingService
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="T:NullTrackingService"/> class.
		/// </summary>
		public NullTrackingService()
		{
		}

		/// <summary>
		/// Records the event.
		/// </summary>
		/// <param name="action">The action.</param>
		/// <param name="context">The context.</param>
		/// <param name="messageName"></param>
		/// <param name="parametersXml"></param>
		protected override void RecordEvent( TrackingActions action, WorkflowContext context, string messageName, string parametersXml )
		{
			// Don't need to do anything for the null tracking service.
		}
	}
}
