using System;
using System.Collections.Generic;
using System.Text;

namespace Pegasus.ServiceModel
{
	/// <summary>
	/// Event Args for disconnect event.
	/// </summary>
	public class EventArgsDisconnect : EventArgs
	{
		// Local Instance Values
		private bool m_fault;

		/// <summary>
		/// Initializes a new instance of the <see cref="EventArgsDisconnect"/> class.
		/// </summary>
		internal EventArgsDisconnect( bool fault )
		{
			m_fault = fault;
		}

		/// <summary>
		/// Gets a value indicating whether the node disconnected because of fault or not.
		/// </summary>
		/// <value>
		/// 	<c>true</c> if the node was disconnected because of fault; otherwise, <c>false</c>.
		/// </value>
		public bool DisconnectedBecauseOfFault
		{
			get
			{
				return m_fault;
			}
		}
	}
}
