using System;
using System.Collections.Generic;
using System.Text;

namespace Pegasus.ServiceModel
{
	/// <summary>
	/// Event Args for node events.
	/// </summary>
	public class EventArgsNodeInfo : EventArgs
	{
		// Local Instance Value
		private NodeInfo m_nodeInfo;

		/// <summary>
		/// Initializes a new instance of the <see cref="EventArgsNodeInfo"/> class.
		/// </summary>
		/// <param name="nodeData">The node data.</param>
		internal EventArgsNodeInfo( NodeData nodeData )
		{
			m_nodeInfo = new NodeInfo( nodeData );
		}

		/// <summary>
		/// Gets the node information.
		/// </summary>
		/// <value>The node information.</value>
		public NodeInfo Node
		{
			get
			{
				return m_nodeInfo;
			}
		}
	}
}
