using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.ServiceProcess;

namespace Pegasus.Sample.ServiceDebugging
{
	/// <summary>
	/// Installer class for our sample service.
	/// </summary>
	[RunInstaller( true )]
	public partial class SampleServicetInstaller : Installer
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="SampleServicetInstaller"/> class.
		/// </summary>
		public SampleServicetInstaller()
		{
			InitializeComponent();

			// Set the name of the service, display name and description
			WindowsServiceInstaller.ServiceName = SampleService.SERVICE_NAME;
			WindowsServiceInstaller.DisplayName = SampleService.SERVICE_DISPLAY_NAME;
			WindowsServiceInstaller.Description = SampleService.SERVICE_DESCRIPTION;
			
			// Set the account that the service will run under
			ProcessServiceInstaller.Account = ServiceAccount.LocalSystem;
			ProcessServiceInstaller.Username = null;
			ProcessServiceInstaller.Password = null;
		}
	}
}